Subject: Re: [GSoC][PATCH v6 00/20] rebase -i: rewrite in C

From: Alban Gruin <[email-masked]>
Date: Mon, 13 Aug 2018 22:47:07 +0200

Hi Duy,

Le 13/08/2018 à 18:06, Duy Nguyen a écrit :
> On Fri, Aug 10, 2018 at 6:54 PM Alban Gruin <[email-masked]> wrote:
> > This patch series rewrite the interactive rebase from shell to C.
> 
> I was running some tests on 'pu' and ran git-rebase--interactive
> without arguments because a test failed and I was wondering if it was
> me. It showed this
> 
> > ~/w/ztemp $ ./git-rebase--interactive
> 
> fatal: ambiguous argument
> '(null)...97004f10c7e6d1e784eb8a62bebdf529cd3b81f5': unknown revision
> or path not in the working tree.
> fatal: Use '--' to separate paths from revisions, like this:
> fatal: 'git <command> [<revision>...] -- [<file>...]'
> 
> The "(null)" should not be printed out because it could actually
> segfault on some other platforms. Just wanted to let you know.
> Apologies if it's already reported and fixed, I didn't really read
> this series.

Thanks for the heads up, I will send a fix soon.

I don’t know what you were trying to do with git-rebase--interactive, but it 
should not be called directly.  Instead, you should call git-rebase -i.

Cheers,
Alban